 class Program
   {
      public static int Vsota1(int n)
      { // rekurzivna rešitev
         if (n == 1) return 1; // ustavitveni pogoj
         return n + Vsota1(n - 1); // seštevamo člene
      }
      public static int Vsota2(int n)
      { // rešitev z zanko
         int vsota = 0;
         while (n > 0)
         {
             vsota = vsota + n; // seštevamo člene
             n = n - 1;
         }
         return vsota;
      }
      public static int AltVsota1(int n)
      {
         if (n == 1) return 1; // ustavitveni pogoj
         if (n % 2 == 0) return AltVsota1(n - 1) - n; // odštevamo parne člene
         return AltVsota1(n - 1) + n; // prištevamo samo lihe člene
      }
      public static int AltVsota2(int n)
      {
         // rešitev z zanko
         int vsota = 0;
         while (n > 0)
         {
            if (n % 2 == 0)
            {
               vsota = vsota - n; // odštevamo parne člene
            }
            else
            {
               vsota = vsota + n; // prištevamo samo lihe člene
            }
            n = n - 1;
         }
         return vsota;
      }
      // preizkus metod
      public static void Main(string[] args)
      {
         Console.WriteLine("Vnesi celo število: ");
         int stevilo = int.Parse(Console.ReadLine());
         Console.WriteLine("Vsota je: " + Vsota1(stevilo) + " - rekurzivna metoda");
         Console.WriteLine("Vsota je: " + Vsota2(stevilo) + " - rešitev z zanko");
         Console.WriteLine("Alternirajoča vsota je: " + AltVsota1(stevilo) + " - rekurzivna metoda");
         Console.WriteLine("Alternirajoča vsota je: " + AltVsota2(stevilo) + " - rešitev z zanko");
         Console.WriteLine();
         Console.Write("Press any key to continue . . . ");
         Console.ReadKey(true);
      }
   }
